Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 2157)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 2158)
@@ -58,7 +58,6 @@
   
   
   protected void setUp() {
-    File configfile = new File("./lib/harvester", "harvester.properties");
     Connection conn;
     String contactEmail = "jdoe@institution.edu";
     String dateLastHarvest = "2004-04-01 00:00:00.0";
@@ -77,11 +76,12 @@
     int revision = 1;
     String scope = "docname";
     int siteScheduleID = 1;
+    boolean test = true;
     String unit = "months";
     int updateFrequency = 1;
   
     harvester = new Harvester();
-    Harvester.loadProperties(configfile);
+    Harvester.loadOptions(test);
     conn = harvester.getConnection();  // initializes the database connection
     harvester.initLogIDs();
     harvestLogID = harvester.getHarvestLogID();
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 2157)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 2158)
@@ -28,10 +28,10 @@
 package edu.ucsb.nceas.metacattest.harvesterClient;
 
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
+import edu.ucsb.nceas.utilities.Options;
 import java.io.File;
 import java.io.FileInputStream;
 import java.io.IOException;
-import java.util.Properties;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
@@ -84,16 +84,15 @@
   /**
    * Tests loading of Harvester properties from a configuration file.
    */
-  public void testLoadProperties() {
-    File configfile = new File("./lib/harvester", "harvester.properties");
-    Properties properties = new Properties();
-
-    try {
-      properties.load(new FileInputStream(configfile));
-    }
-    catch (IOException e) {
-      fail("IOException: " + e.getMessage());
-    }
+  public void testLoadOptions() {
+    Options options;
+    String ctm;
+    boolean test = true;
+    
+    Harvester.loadOptions(test);
+    options = Harvester.options;
+    ctm = options.getOption("connectToMetacat");
+    assertTrue(ctm.equals("true") || ctm.equals("false"));
   }
   
   
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 2157)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 2158)
@@ -57,7 +57,6 @@
   
   
   protected void setUp() {
-    File configfile = new File("./lib/harvester", "harvester.properties");
     String contactEmail = "jdoe@institution.edu";
     String dateLastHarvest = "2004-04-01 00:00:00.0";
     String dateNextHarvest = "2004-05-01 00:00:00.0";
@@ -78,11 +77,12 @@
     String scope = "docname";
     int siteScheduleID = 1;
     int status = 0;
+    boolean test = true;
     String unit = "months";
     int updateFrequency = 1;
 
     harvester = new Harvester();
-    Harvester.loadProperties(configfile);
+    Harvester.loadOptions(test);
     harvester.getConnection();  // initializes the database connection
     harvester.initLogIDs();
     harvester.setHarvestStartTime(new Date());
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 2157)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 2158)
@@ -34,7 +34,6 @@
 import java.sql.SQLException;
 import java.sql.SQLWarning;
 import java.util.Date;
-import java.util.Properties;
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDetailLog;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDocument;
@@ -66,7 +65,6 @@
   
   
   protected void setUp() {
-    File configfile = new File("./lib/harvester", "harvester.properties");
     String contactEmail = "jdoe@institution.edu";
     String dateLastHarvest = "2004-04-01 00:00:00.0";
     String dateNextHarvest = "2004-05-01 00:00:00.0";
@@ -89,11 +87,12 @@
     String scope = "docname";
     int siteScheduleID = 1;
     int status = 0;
+    boolean test = true;
     String unit = "months";
     int updateFrequency = 1;
 
     harvester = new Harvester();
-    Harvester.loadProperties(configfile);
+    Harvester.loadOptions(test);
     conn = harvester.getConnection();  // initializes the database connection
     harvester.initLogIDs();
     harvestLogID = harvester.getHarvestLogID();
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 2157)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 2158)
@@ -56,7 +56,6 @@
   
   
   protected void setUp() {
-    File configfile = new File("./lib/harvester", "harvester.properties");
     String contactEmail = "jdoe@institution.edu";
     String dateLastHarvest = "2004-04-01 00:00:00.0";
     String dateNextHarvestFuture = "2056-01-01 00:00:00.0";
@@ -66,11 +65,12 @@
     String ldapDN = "uid=jdoe,o=lter,dc=ecoinformatics,dc=org";
     String ldapPwd = "secretpassword";
     int siteScheduleID = 1;
+    boolean test = true;
     String unit = "months";
     int updateFrequency = 1;
 
     harvester = new Harvester();
-    Harvester.loadProperties(configfile);
+    Harvester.loadOptions(test);
     harvester.getConnection();  // initializes the database connection
     harvester.initLogIDs();
     harvester.setHarvestStartTime(new Date());