Index: lib/style/skins/specnet/specnet.xml
===================================================================
--- lib/style/skins/specnet/specnet.xml	(revision 2226)
+++ lib/style/skins/specnet/specnet.xml	(revision 2227)
@@ -23,6 +23,9 @@
 <!-- pre-beta6 modules -->
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
+  <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.1/eml-2.0.1.xsl</target>
+  </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
     <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0/eml-2.0.0.xsl</target>
   </doctype>
Index: lib/style/skins/specnet/index.html
===================================================================
--- lib/style/skins/specnet/index.html	(revision 2226)
+++ lib/style/skins/specnet/index.html	(revision 2227)
@@ -72,7 +72,7 @@
 <p><b>Registry Tools</b></p>
 <p>
 <menu>
-  <li><a href="@servlet-path@?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=SpecNet&amp;qformat=specnet&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing SpecNet data sets</a><br />
+  <li><a href="@servlet-path@?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=SpecNet&amp;qformat=specnet&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.1&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing SpecNet data sets</a><br />
     <menu>
       The registry search system is used to locate data sets of interest
       by searching through existing registered data sets.  
Index: lib/style/skins/specnet/header.html
===================================================================
--- lib/style/skins/specnet/header.html	(revision 2226)
+++ lib/style/skins/specnet/header.html	(revision 2227)
@@ -54,7 +54,7 @@
     <td valign="top" width="20%"> 
       <!--
       <p>
-        <a href="@servlet-path@?action=query&operator=INTERSECT&anyfield=%25&organizationName=SpecNet&qformat=specnet&returndoctype=eml://ecoinformatics.org/eml-2.0.0&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&returnfield=dataset/title&returnfield=keyword&returnfield=originator/individualName/surName&returnfield=creator/individualName/surName&returnfield=originator/organizationName&returnfield=creator/organizationName" target="_top">Search for Data</a></p>
+        <a href="@servlet-path@?action=query&operator=INTERSECT&anyfield=%25&organizationName=SpecNet&qformat=specnet&returndoctype=eml://ecoinformatics.org/eml-2.0.1&returndoctype=eml://ecoinformatics.org/eml-2.0.0&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&returnfield=dataset/title&returnfield=keyword&returnfield=originator/individualName/surName&returnfield=creator/individualName/surName&returnfield=originator/organizationName&returnfield=creator/organizationName" target="_top">Search for Data</a></p>
       -->
 <p class="searchbox">
 Search for Data<br />
@@ -74,6 +74,7 @@
   <input name="returnfield" value="creator/organizationName" type="hidden">
   <input name="returnfield" value="dataset/title" type="hidden">
   <input name="returnfield" value="keyword" type="hidden">
+  <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.1" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.0" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" type="hidden">
Index: lib/style/skins/specnet/searchform.html
===================================================================
--- lib/style/skins/specnet/searchform.html	(revision 2226)
+++ lib/style/skins/specnet/searchform.html	(revision 2227)
@@ -15,6 +15,7 @@
   <input name="returnfield" value="creator/organizationName" type="hidden">
   <input name="returnfield" value="dataset/title" type="hidden">
   <input name="returnfield" value="keyword" type="hidden">
+  <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.1" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.0" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" type="hidden">
Index: lib/style/skins/nrs/nrs.xml
===================================================================
--- lib/style/skins/nrs/nrs.xml	(revision 2226)
+++ lib/style/skins/nrs/nrs.xml	(revision 2227)
@@ -23,6 +23,9 @@
 <!-- pre-beta6 modules -->
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
+  <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.1/eml-2.0.1.xsl</target>
+  </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
     <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0/eml-2.0.0.xsl</target>
   </doctype>
Index: lib/style/skins/nrs/index.html
===================================================================
--- lib/style/skins/nrs/index.html	(revision 2226)
+++ lib/style/skins/nrs/index.html	(revision 2227)
@@ -76,7 +76,7 @@
 <p><b>Registry Tools</b></p>
 <p>
 <menu>
-  <li><a href="@servlet-path@?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=University%20of%20California%20Natural%20Reserve%20System&amp;qformat=nrs&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing NRS data sets</a><br />
+  <li><a href="@servlet-path@?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=University%20of%20California%20Natural%20Reserve%20System&amp;qformat=nrs&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.1&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing NRS data sets</a><br />
     <menu>
       The registry search system is used to locate data sets of interest
       by searching through existing registered data sets.  
Index: lib/style/skins/nrs/header.html
===================================================================
--- lib/style/skins/nrs/header.html	(revision 2226)
+++ lib/style/skins/nrs/header.html	(revision 2227)
@@ -71,6 +71,7 @@
   <input name="returnfield" value="creator/organizationName" type="hidden">
   <input name="returnfield" value="dataset/title" type="hidden">
   <input name="returnfield" value="keyword" type="hidden">
+  <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.1" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.0" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" type="hidden">
Index: lib/style/skins/nrs/searchform.html
===================================================================
--- lib/style/skins/nrs/searchform.html	(revision 2226)
+++ lib/style/skins/nrs/searchform.html	(revision 2227)
@@ -15,6 +15,7 @@
   <input name="returnfield" value="creator/organizationName" type="hidden">
   <input name="returnfield" value="dataset/title" type="hidden">
   <input name="returnfield" value="keyword" type="hidden">
+  <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.1" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.0" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" type="hidden">
Index: lib/style/skins/default/default.xml
===================================================================
--- lib/style/skins/default/default.xml	(revision 2226)
+++ lib/style/skins/default/default.xml	(revision 2227)
@@ -8,6 +8,11 @@
   </doctype>
 
 
+<!-- eml-2.0.1 modules -->
+  <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.1/eml-2.0.1.xsl</target>
+  </doctype>
+
 <!-- eml-2.0.0 modules -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
     <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0/eml-2.0.0.xsl</target>
Index: lib/style/skins/default/settings.jsp
===================================================================
--- lib/style/skins/default/settings.jsp	(revision 2226)
+++ lib/style/skins/default/settings.jsp	(revision 2227)
@@ -64,6 +64,7 @@
               +"<input type=\"hidden\" name=\"returndoctype\" value=\"-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN\"\\>\n"
               +"<input type=\"hidden\" name=\"returndoctype\" value=\"-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN\"\\>\n"
               +"<input type=\"hidden\" name=\"returndoctype\" value=\"eml://ecoinformatics.org/eml-2.0.0\"\\>\n"
+              +"<input type=\"hidden\" name=\"returndoctype\" value=\"eml://ecoinformatics.org/eml-2.0.1\"\\>\n"
               +"<input type=\"hidden\" name=\"returndoctype\" value=\"-//NCEAS//eml-dataset-2.0//EN\"\\>\n"
               +"<input type=\"hidden\" name=\"returndoctype\" value=\"-//NCEAS//resource//EN\"\\>\n";
 
Index: lib/style/skins/nceas/nceas.xml
===================================================================
--- lib/style/skins/nceas/nceas.xml	(revision 2226)
+++ lib/style/skins/nceas/nceas.xml	(revision 2227)
@@ -23,6 +23,9 @@
 <!-- pre-beta6 modules -->
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
+  <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.1/eml-2.0.1.xsl</target>
+  </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
     <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0/eml-2.0.0.xsl</target>
   </doctype>
Index: lib/style/skins/nceas/index.html
===================================================================
--- lib/style/skins/nceas/index.html	(revision 2226)
+++ lib/style/skins/nceas/index.html	(revision 2227)
@@ -70,7 +70,7 @@
 <p><b>Repository Tools</b></p>
 <p>
 <menu>
-  <li><a href="@servlet-path@?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=National%20Center%20for%20Ecological%20Analysis%20and%20Synthesis&amp;qformat=nceas&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing NCEAS data sets</a><br />
+  <li><a href="@servlet-path@?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=National%20Center%20for%20Ecological%20Analysis%20and%20Synthesis&amp;qformat=nceas&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.1&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing NCEAS data sets</a><br />
     <menu>
       The repository search system is used to locate data sets of interest
       by searching through existing registered data sets.  
Index: lib/style/skins/nceas/header.html
===================================================================
--- lib/style/skins/nceas/header.html	(revision 2226)
+++ lib/style/skins/nceas/header.html	(revision 2227)
@@ -54,7 +54,7 @@
     <td valign="top" width="20%"> 
       <!--
       <p>
-        <a href="@servlet-path@?action=query&operator=INTERSECT&anyfield=%25&organizationName=National%20Center%20for%20Ecological%20Analysis%20and%20Synthesis&qformat=nceas&returndoctype=eml://ecoinformatics.org/eml-2.0.0&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&returnfield=dataset/title&returnfield=keyword&returnfield=originator/individualName/surName&returnfield=creator/individualName/surName&returnfield=originator/organizationName&returnfield=creator/organizationName" target="_top">Search for Data</a></p>
+        <a href="@servlet-path@?action=query&operator=INTERSECT&anyfield=%25&organizationName=National%20Center%20for%20Ecological%20Analysis%20and%20Synthesis&qformat=nceas&returndoctype=eml://ecoinformatics.org/eml-2.0.0&returndoctype=eml://ecoinformatics.org/eml-2.0.1&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&returnfield=dataset/title&returnfield=keyword&returnfield=originator/individualName/surName&returnfield=creator/individualName/surName&returnfield=originator/organizationName&returnfield=creator/organizationName" target="_top">Search for Data</a></p>
       -->
 <p class="searchbox">
 Search for Data<br />
@@ -75,6 +75,7 @@
   <input name="returnfield" value="dataset/title" type="hidden">
   <input name="returnfield" value="keyword" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.0" type="hidden">
+  <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.1" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" type="hidden">
   <input name="returndoctype" value="-//NCEAS//resource//EN" type="hidden">
Index: lib/style/skins/nceas/searchform.html
===================================================================
--- lib/style/skins/nceas/searchform.html	(revision 2226)
+++ lib/style/skins/nceas/searchform.html	(revision 2227)
@@ -15,6 +15,7 @@
   <input name="returnfield" value="creator/organizationName" type="hidden">
   <input name="returnfield" value="dataset/title" type="hidden">
   <input name="returnfield" value="keyword" type="hidden">
+  <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.1" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.0" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" type="hidden">
Index: lib/style/skins/obfs/obfs.xml
===================================================================
--- lib/style/skins/obfs/obfs.xml	(revision 2226)
+++ lib/style/skins/obfs/obfs.xml	(revision 2227)
@@ -23,6 +23,9 @@
 <!-- pre-beta6 modules -->
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
+  <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.1/eml-2.0.1.xsl</target>
+  </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
     <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0/eml-2.0.0.xsl</target>
   </doctype>
Index: lib/style/skins/obfs/index.html
===================================================================
--- lib/style/skins/obfs/index.html	(revision 2226)
+++ lib/style/skins/obfs/index.html	(revision 2227)
@@ -76,7 +76,7 @@
 <p><b>Registry Tools</b></p>
 <p>
 <menu>
-  <li><a href="@servlet-path@?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=Organization%20of%20Biological%20Field%20Stations&amp;qformat=obfs&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing OBFS data sets</a><br />
+  <li><a href="@servlet-path@?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=Organization%20of%20Biological%20Field%20Stations&amp;qformat=obfs&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.1&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing OBFS data sets</a><br />
     <menu>
       The registry search system is used to locate data sets of interest
       by searching through existing registered data sets.  
Index: lib/style/skins/obfs/header.html
===================================================================
--- lib/style/skins/obfs/header.html	(revision 2226)
+++ lib/style/skins/obfs/header.html	(revision 2227)
@@ -55,7 +55,7 @@
     <td valign="top" width="20%"> 
       <!--
       <p>
-        <a href="@servlet-path@?action=query&operator=INTERSECT&anyfield=%25&organizationName=Organization%20of%20Biological%20Field%20Stations&qformat=obfs&returndoctype=eml://ecoinformatics.org/eml-2.0.0&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&returnfield=dataset/title&returnfield=keyword&returnfield=originator/individualName/surName&returnfield=creator/individualName/surName&returnfield=originator/organizationName&returnfield=creator/organizationName" target="_top">Search for Data</a></p>
+        <a href="@servlet-path@?action=query&operator=INTERSECT&anyfield=%25&organizationName=Organization%20of%20Biological%20Field%20Stations&qformat=obfs&returndoctype=eml://ecoinformatics.org/eml-2.0.1&returndoctype=eml://ecoinformatics.org/eml-2.0.0&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&returnfield=dataset/title&returnfield=keyword&returnfield=originator/individualName/surName&returnfield=creator/individualName/surName&returnfield=originator/organizationName&returnfield=creator/organizationName" target="_top">Search for Data</a></p>
       -->
 <p class="searchbox">
 Search for Data<br />
@@ -75,6 +75,7 @@
   <input name="returnfield" value="creator/organizationName" type="hidden">
   <input name="returnfield" value="dataset/title" type="hidden">
   <input name="returnfield" value="keyword" type="hidden">
+  <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.1" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.0" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" type="hidden">
Index: lib/style/skins/obfs/searchform.html
===================================================================
--- lib/style/skins/obfs/searchform.html	(revision 2226)
+++ lib/style/skins/obfs/searchform.html	(revision 2227)
@@ -15,6 +15,7 @@
   <input name="returnfield" value="creator/organizationName" type="hidden">
   <input name="returnfield" value="dataset/title" type="hidden">
   <input name="returnfield" value="keyword" type="hidden">
+  <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.1" type="hidden">
   <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.0" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN" type="hidden">
   <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" type="hidden">
Index: lib/style/skins/knb/knb.xml
===================================================================
--- lib/style/skins/knb/knb.xml	(revision 2226)
+++ lib/style/skins/knb/knb.xml	(revision 2227)
@@ -23,6 +23,9 @@
 <!-- pre-beta6 modules -->
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
+  <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
+    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.1/eml-2.0.1.xsl</target>
+  </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
     <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0/eml-2.0.0.xsl</target>
   </doctype>
Index: lib/style/skins/dev/index.html
===================================================================
--- lib/style/skins/dev/index.html	(revision 2226)
+++ lib/style/skins/dev/index.html	(revision 2227)
@@ -28,7 +28,7 @@
 <html>
 <head>
 <title>KNB Data Search</title>
-<meta HTTP-EQUIV="refresh" CONTENT="1;URL=@servlet-path@?action=query&operator=INTERSECT&anyfield=%25&qformat=knb&returndoctype=eml://ecoinformatics.org/eml-2.0.0&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&returnfield=dataset/title&returnfield=citation/title&returnfield=software/title&returnfield=protocol/title&returnfield=keyword&returnfield=originator/individualName/surName&returnfield=creator/individualName/surName&returnfield=originator/organizationName&returnfield=creator/organizationName" />
+<meta HTTP-EQUIV="refresh" CONTENT="1;URL=@servlet-path@?action=query&operator=INTERSECT&anyfield=%25&qformat=knb&returndoctype=eml://ecoinformatics.org/eml-2.0.1&returndoctype=eml://ecoinformatics.org/eml-2.0.0&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&returnfield=dataset/title&returnfield=citation/title&returnfield=software/title&returnfield=protocol/title&returnfield=keyword&returnfield=originator/individualName/surName&returnfield=creator/individualName/surName&returnfield=originator/organizationName&returnfield=creator/organizationName" />
 </head>
 <body bgcolor="WHITE">
 </body>