Index: lib/web.xml.tomcat3
===================================================================
--- lib/web.xml.tomcat3	(revision 2294)
+++ lib/web.xml.tomcat3	(revision 2295)
@@ -76,6 +76,24 @@
     </servlet>
     
     <servlet>
+      <servlet-name>HarvesterRegistration</servlet-name>
+       <description>
+         The replication control servlet for metacat
+       </description>
+      <servlet-class>edu.ucsb.nceas.metacat.harvesterClient.HarvesterRegistration</servlet-class>
+      <load-on-startup>5</load-on-startup>
+    </servlet>
+
+    <servlet>
+      <servlet-name>HarvesterRegistrationLogin</servlet-name>
+       <description>
+         The replication control servlet for metacat
+       </description>
+      <servlet-class>edu.ucsb.nceas.metacat.harvesterClient.HarvesterRegistrationLogin</servlet-class>
+      <load-on-startup>5</load-on-startup>
+    </servlet>
+
+    <servlet>
       <servlet-name>replication</servlet-name>
        <description>
          The replication control servlet for metacat
@@ -84,7 +102,6 @@
       <load-on-startup>5</load-on-startup>
     </servlet>
 
-
     <!-- Define mappings that are used by the servlet container to
          translate a particular request URI (context-relative) to a
          particular servlet.  The examples below correspond to the
@@ -107,6 +124,16 @@
       <servlet-name>metacat</servlet-name>
       <url-pattern>/metacat</url-pattern>
     </servlet-mapping>
+
+   <servlet-mapping>
+        <servlet-name>HarvesterRegistrationLogin</servlet-name>
+        <url-pattern>/harvesterRegistrationLogin</url-pattern>
+    </servlet-mapping>
+
+    <servlet-mapping>
+        <servlet-name>HarvesterRegistration</servlet-name>
+        <url-pattern>/harvesterRegistration</url-pattern>
+    </servlet-mapping>
     
     <!-- Define the default session timeout for your application,
          in minutes.  From a servlet or JSP page, you can modify
Index: lib/web.xml.tomcat4
===================================================================
--- lib/web.xml.tomcat4	(revision 2294)
+++ lib/web.xml.tomcat4	(revision 2295)
@@ -40,6 +40,34 @@
       <load-on-startup>1</load-on-startup>
     </servlet>
 
+     <servlet>
+      <servlet-name>HarvesterRegistrationLogin</servlet-name>
+      <servlet-class>edu.ucsb.nceas.metacat.harvesterClient.HarvesterRegistrationLogin</servlet-class>
+      <init-param>
+        <param-name>debug</param-name>
+        <param-value>1</param-value>
+      </init-param>
+      <init-param>
+        <param-name>listings</param-name>
+        <param-value>true</param-value>
+      </init-param>
+      <load-on-startup>1</load-on-startup>
+    </servlet>
+
+     <servlet>
+      <servlet-name>HarvesterRegistration</servlet-name>
+      <servlet-class>edu.ucsb.nceas.metacat.harvesterClient.HarvesterRegistration</servlet-class>
+      <init-param>
+        <param-name>debug</param-name>
+        <param-value>1</param-value>
+      </init-param>
+      <init-param>
+        <param-name>listings</param-name>
+        <param-value>true</param-value>
+      </init-param>
+      <load-on-startup>1</load-on-startup>
+    </servlet>
+
     <servlet-mapping>
         <servlet-name>invoker</servlet-name>
         <url-pattern>/servlet/*</url-pattern>
@@ -50,6 +78,16 @@
         <url-pattern>/metacat</url-pattern>
     </servlet-mapping>
 
+    <servlet-mapping>
+        <servlet-name>HarvesterRegistrationLogin</servlet-name>
+        <url-pattern>/harvesterRegistrationLogin</url-pattern>
+    </servlet-mapping>
+
+    <servlet-mapping>
+        <servlet-name>HarvesterRegistration</servlet-name>
+        <url-pattern>/harvesterRegistration</url-pattern>
+    </servlet-mapping>
+
     <session-config>
       <session-timeout>30</session-timeout>
     </session-config>
Index: lib/web.xml.tomcat5
===================================================================
--- lib/web.xml.tomcat5	(revision 2294)
+++ lib/web.xml.tomcat5	(revision 2295)
@@ -40,6 +40,34 @@
       <load-on-startup>1</load-on-startup>
     </servlet>
 
+    <servlet>
+      <servlet-name>HarvesterRegistrationLogin</servlet-name>
+      <servlet-class>edu.ucsb.nceas.metacat.harvesterClient.HarvesterRegistrationLogin</servlet-class>
+      <init-param>
+        <param-name>debug</param-name>
+        <param-value>1</param-value>
+      </init-param>
+      <init-param>
+        <param-name>listings</param-name>
+        <param-value>true</param-value>
+      </init-param>
+      <load-on-startup>1</load-on-startup>
+    </servlet>
+
+    <servlet>
+      <servlet-name>HarvesterRegistration</servlet-name>
+      <servlet-class>edu.ucsb.nceas.metacat.harvesterClient.HarvesterRegistration</servlet-class>
+      <init-param>
+        <param-name>debug</param-name>
+        <param-value>1</param-value>
+      </init-param>
+      <init-param>
+        <param-name>listings</param-name>
+        <param-value>true</param-value>
+      </init-param>
+      <load-on-startup>1</load-on-startup>
+    </servlet>
+
     <!--
     <servlet-mapping>
         <servlet-name>invoker</servlet-name>
@@ -52,6 +80,16 @@
         <url-pattern>/metacat</url-pattern>
     </servlet-mapping>
 
+    <servlet-mapping>
+        <servlet-name>HarvesterRegistrationLogin</servlet-name>
+        <url-pattern>/harvesterRegistrationLogin</url-pattern>
+    </servlet-mapping>
+
+    <servlet-mapping>
+        <servlet-name>HarvesterRegistration</servlet-name>
+        <url-pattern>/harvesterRegistration</url-pattern>
+    </servlet-mapping>
+
     <session-config>
       <session-timeout>30</session-timeout>
     </session-config>