Index: docs/user/metacatinstall.html
===================================================================
--- docs/user/metacatinstall.html	(revision 2301)
+++ docs/user/metacatinstall.html	(revision 2302)
@@ -94,7 +94,7 @@
 <tr>
 <td>
   <p class="header">Java</p>
-  <p>You'll need a recent Java SDK, preferably j2sdk1.4.2 or later.  We haven't 
+  <p>You'll need a recent Java SDK; j2sdk1.4.2 or later is required.  We haven't 
   tested with any of the 1.5.x versions yet, so probably best to stay with 1.4.x.
   Make sure that JAVA_HOME environment variable is properly set and that both
   java and javac are on your PATH.
@@ -157,10 +157,10 @@
   </p>
   <p class="header">Tomcat</p>
   <p>
-    Install tomcat into the directory of your choice. The directory in which 
+    Install Tomcat into the directory of your choice. The directory in which 
     you install Tomcat itself will be referred to as the "$CATALINA_HOME".
-    We recommend to install Tomcat version 4.0.  More details about 
-    tomcat installation is avaliable in <a href=" http://jakarta.apache.org/tomcat/index.html">here</a>.
+    We recommend that you install Tomcat version 4.0.  More details about 
+    Tomcat installation is available <a href=" http://jakarta.apache.org/tomcat/index.html">here</a>.
   </p>
  </td>
 </tr>
@@ -186,164 +186,262 @@
    <a href="@server@/software/download.html">download</a> a gzipped tar file
    from this site.
   </p>
-  <p><h2>Edit build.xml File</h2></p>
+  <p><h2>Edit <code>build.properties</code> File</h2></p>
   <p>
    Once you have either checked out or unzipped and untarred the source
    distribution, you can begin the installation process.  Change into the 
-   metacat directory and edit the file called "build.xml".  You will need 
+   metacat directory and edit the file called "<code>build.properties</code>".  You will need 
    to change a number of configuration properties to match the setup on
-   your system.  If you are using oracle, you'll need to customize the
-   properties in the "oracle" target.  If you are using Postgres, you'll
-   need to customize the properties in the "postgres" target.  All users
-   will need to customize the properties in the "config" target.
+   your system.
   </p>
   <p>
-   The properties that you need to change will include jdbc-connect, 
-   dbDriver, dbAdapter, oracle_home, 
-   jdbc, tomcat, webapps, context, user, server, systemidserver, 
-   web-base-url, and default-style. Each is described in detail below. 
-   You should also verify that the jar file properties mentioned in the 
-   remainder of the config target are accessible at the paths listed -- the 
-   defaults will usually work.
+  The properties that you will likely need to change will include 
+  <code>tomcat</code>, <code>tomcatversion</code>, <code>webapps</code>, 
+  <code>context</code>, <code>server</code>, <code>httpserver</code>, 
+  <code>database</code>, <code>jdbc-connect</code>, <code>jdbc-base</code>, 
+  <code>user</code>, <code>password</code>, <code>datafilepath</code>, 
+  <code>inlinedatafilepath</code>, <code>cvsroot</code>, 
+  <code>cvsroot-alternate</code>, and <code>default-style</code>. 
+  Each is described in detail in the table below.
   </p>
+  Properties you will likely need to change:
+  <br><br>
+  <table border="1">
+    <tr>
+      <td><b>Property</b></td>
+      <td><b>Description</b></td>
+      <td><b>Default value and examples of other values</b></td>
+    </tr>
+    <tr>
+      <td>tomcat</td>
+      <td>The tomcat property is the location in which tomcat is installed.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>/usr/local/devtools/jakarta-tomcat</code>
+      <br><br>Example:&nbsp;&nbsp;
+          <code>C:/Tomcat4</code></td>
+    </tr>
+    <tr>
+      <td>tomcatversion</td>
+      <td>The tomcatversion property is the version of your Tomcat. You should 
+          put tomcat3 or tomcat4 here.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>tomcat4</code>
+      <br><br>Example:&nbsp;&nbsp;
+          <code>tomcat3</code>
+      </td>
+    </tr>
+    <tr>
+      <td>webapps</td>
+      <td>The webapps property is the location in which your tomcat servlet 
+          contexts are installed. This is typically "TOMCAT_HOME/webapps",
+          where TOMCAT_HOME is the same value that you entered for the 'tomcat'
+          property above.
+      </td>
+      <td>Default:&nbsp;&nbsp;
+          <code>/var/www/org.ecoinformatics.knb</code>
+      <br><br>Example:&nbsp;&nbsp;
+          <code>C:/Tomcat4/webapps</code>
+      </td>
+    </tr>
+    <tr>
+      <td>context</td>
+      <td>The context property is the name of the servlet context in which you 
+          want Metacat to be installed. This will determine the installation 
+          directory for the servlet and many of the URLs that are used to access
+          the installed Metacat server.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>knb</code>
+      <br><br>Example:&nbsp;&nbsp;
+          <code>mycontext</code>
+      </td>
+    </tr>
+    <tr>
+      <td>server</td>
+      <td>The server property is the secure HTTPS address on which Metacat is 
+          running (note that you should not include the 'http://' in the server 
+          property). The server setting should include the SSL port number 
+          appended to the end if Tomcat is running stand-alone (see example).</td>
+      <td>Default:&nbsp;&nbsp;
+         <code>knb.ecoinformatics.org</code>
+      <br><br>Example:&nbsp;&nbsp;
+         <code>somehost.university.edu:8443</code>
+      </td>
+    </tr>
+    <tr>
+      <td>httpserver</td>
+      <td>httpserver is the plain HTTP address on which Metacat is running 
+          (note that you should not include the 'http://' in the httpserver property).
+          The httpserver setting should include the HTTP plain port number 
+          appended to the end if Tomcat is running stand-alone (see example).</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>knb.ecoinformatics.org</code>
+      <br><br>Example:&nbsp;&nbsp;
+          <code>somehost.university.edu:8080</code>
+      </td>
+    </tr>
+    <tr>
+      <td>ldapUrl</td>
+      <td>URL to the LDAP server</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>ldap://ldap.ecoinformatics.org/dc=ecoinformatics,dc=org</code>
+      </td>
+    </tr>
+    <tr>
+      <td>database</td>
+      <td>Select the database to use for metadata storage.
+          Valid values are <code>oracle</code>, <code>postgresql</code>, or
+          <code>sqlserver</code>.
+      </td>
+      <td>Default:&nbsp;&nbsp;
+          <code>oracle</code>
+      <br><br>Other possible values:&nbsp;&nbsp;
+          <code>postgresql</code>&nbsp;&nbsp;
+          <code>sqlserver</code>
+      </td>
+    </tr>
+    <tr>
+      <td>jdbc-connect</td>
+      <td>The JDBC connection string used to connect to the database.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>jdbc:oracle:thin:@metacat.nceas.ucsb.edu:1521:knb</code>
+      </td>
+    <tr>
+      <td>jdbc-base</td>
+      <td>The base directory for locating JDBC jar files (not needed for postgresql).</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>/usr/oracle/jdbc/lib</code>
+      <br><br>Example:&nbsp;&nbsp;
+          <code>C:/jdev10g/jdbc/lib</code><br>
+      </td>
+    </tr>
+    <tr>
+      <td>user</td>
+      <td>The database user name that you set up to use Metacat. For example, 
+          an Oracle username.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>knb</code>
+      <br><br>Example:&nbsp;&nbsp;
+          <code>metacatdb</code>
+      </td>
+    </tr>
+    <tr>
+      <td>password</td>
+      <td>The database password that you set up to use Metacat.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>yourPasswordHere</code>
+      <br><br>Example:&nbsp;&nbsp;
+          <code>metacat123</code>
+      </td>
+    </tr>
+    <tr>
+      <td>datafilepath</td>
+      <td>The datafilepath is the directory to store the data file.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>/var/metacat/data</code>
+      <br><br>Example:&nbsp;&nbsp;
+          <code>C:/Tomcat4/data/knb/data</code>
+      </td>
+    </tr>
+    <tr>
+      <td>inlinedatafilepath</td>
+      <td>The inlinedatafilepath is the directory to store inline data.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>/var/metacat/inline-data</code>
+      <br><br>Example:&nbsp;&nbsp;
+          <code>C:/Tomcat4/data/knb/inlinedata</code>
+      </td>
+    </tr>
+    <tr>
+      <td>cvsroot</td>
+      <td>CVS access to retrieve latest EML.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code><pre>:ext:${env.USER}@cvs.ecoinformatics.org:/cvs</pre></code>
+          Example:&nbsp;&nbsp;
+          <code><pre>:ext:myaccount@cvs.ecoinformatics.org:/cvs</pre></code>
+      </td>
+    </tr>
+    <tr>
+      <td>cvsroot-alternate</td>
+      <td>CVS access to retrieve latest conversion styles.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code><pre>:ext:${env.USER}@cvs.nceas.ucsb.edu:/cvs/pbi</pre></code>
+          Example:&nbsp;&nbsp;
+          <code><pre>:ext:myaccount@cvs.nceas.ucsb.edu:/cvs/pbi</pre></code>
+      </td>
+    </tr>
+    <tr>
+      <td>default-style</td>
+      <td>The default-style parameter defines the "style-set" that is to be used
+          by default when the qformat parameter is missing or set to "html"
+          during a query. It is set to "knb", which is one of the styles that 
+          ships with the default metacat distribution. Other possible settings
+          are shown in the examples to the right.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>knb</code>
+      <br><br>Examples:&nbsp;&nbsp;
+          <pre><code>default   esa   knb2   nceas   nrs   obfs   specnet</code></pre>
+      </td>
+    </tr>
+  </table>
+  <br>
   <p>
    Note that the build file is preconfigured to install Metacat either using 
-   Oracle or PostgreSQL as a backend database.  To change the database
-   system, simply change the 'depends' attribute of the 'config' target to be
-   the name of the database target that you wish to use (either 'oracle' or 
-   'postgresql').  If you wish to use a different database system, add a new
-   target for your database with the needed parameters and actions then add it
-   to the 'depends' attribute.
+   Oracle, PostgreSQL, or Microsoft SQL Server as a backend database.  
+   To change the database system, simply change the value of the 'database' 
+   property to be the name of the database target that you wish to use 
+   (either 'oracle', 'postgresql', or 'sqlserver').
   </p>
-  Properties you will likely need to change:<br />
-  <ul>
-  <li>
-   The jdbc-connect parameter is the JDBC connection string needed to connect 
-   to your database.  
-  </li>
-  <li>
-   The dbDriver parameter is the name of the JDBC driver class to use for
-   connections to your database.
-  </li>
-  <li>
-   The dbAdapter parameter is the name of the Metacat adapter class to be used
-   to communicate with a particular database.
-  </li>
-  <li>
-   The oracle_home parameter is the location that oracle is installed on 
-   your system.
-  </li>
-  <li>
-   The jdbc parameter is the location of your jdbc driver jar file.
-  </li>
-  <li>
-   The tomcat parameter is the location in which tomcat is installed.
-  </li>
-  <li>
-   The webapps parameter is the location in which your tomcat servlet
-   contexts are installed.  This is typically "$TOMCAT_HOME/webapps".
-  </li>
-  <li>
-   The context parameter is the name of the servlet context in which
-   you want metacat to be installed.  This will determine the installation
-   directory for the servlet and many of the urls that are used to
-   access the installed Metacat server.
-  </li>
-  <li>
-   The user and password parameters are the database user name that you set up
-   to use Metacat, for example an Oracle username and password.
-  </li>
-  <li>
-   The tomcatversion is the version of your Tomcat. You should put tomcat3 or
-   tomcat4 here.
-  </li>
-  <li>
-   Web-base-url is the URL from which you want to load any stylesheets 
-   or supplementary images.
-  </li>
-  <li>
-   Server is the http address on which Metacat is running (note that you should
-   not include the 'http://' in the server property).
-  </li>
-  </li>
-  <li>
-   The systemidserver is the protocol (http or https) and server location to get 
-   any DTDs.
-  </li>
-  <li>
-   The datafilepath is the directory to store the data file.
-  </li>
-  <li>
-   The inlinedatafilepath is the directory to store inline data (This is for EML2).
-  </li>
-  <li>
-   The default-style parameter defines the "style-set" that is to be used
-   by default when the qformat parameter is missing or set to "html" during
-   a query.  It is set to "knb", which is the only style that ships with the
-   default metacat distribution.  If you create your own stylesheets for
-   displaying metacat output, you may want to create a new config file in the
-   config-dir (e.g., mystyle.xml) and then change the default-style to use
-   your custom style (e.g., "mystyle").
-  </li>
-  <li>
-   The debuglevel is the control value of debug message. Generally, it will vary 
-   from 0 to 70. In level 70, Metacat will desplay all debug messages.
-  </li>
-   <li>
-   The forcereplicationwaitingtime is the waiting time for start force replication
-   after uploading a package. Usually we use default value.
-  </li>
-  </ul>
-
-  Other properties that you can but generaly need not change:<br />
-  <ul>
-  <li>
-   The installdir
-   parameter is the directory in which Ant should install the servlet.
-   It is your "servlet context path" that was defined above.
-  </li>
-  <li>
-   Replication path is the relative path to the replication servlet.  This
-   should be the name of your servlet followed by "/servlet/replication".  For
-   example 'metacat/servlet/replication'.
-  </li>
-  <li>
-   The servlet path is the relative path to your servlet as viewed by the 
-   Tomcat or Apache web server.  Under Tomcat, the form is usually
-   <pre>/&lt;servlet-context-name&gt;/servlet/metacat</pre>
-  </li>
-  <li>
-   The html-path is usually the first directory of the servlet-path. The only 
-   reason it wouldn't be is if you are doing something with your web server
-   and you want the html served from a different location than where the 
-   servlet is located.
-  </li>
-  <li>
-   The image-path is where you want the Metacat image files stored.  It
-   should be a directory that is accessible by the web server.
-  </li>
-  <li>
-   Replication-log is the location at which you want Metacat to place any 
-   replication log files.  The user that starts Tomcat must have permission to
-   write to this directory.
-  </li>
-  <li>
-   The config-dir parameter specifies the location of the configuration files
-   for the "style-sets" feature.  It is set by default to the installation
-   directory and generally does not need to be changed.
-  </li>
-  <li>
-   The eml-module, eml-version, eml-tag parameters control the installation
-   behavior with respect to EML.  You should not need to change these paramters.
-  </li>
-  <li>
-   The cvsrootparameter is used when building the distribution and you should
-   not need to change it.
-  </li>
-  </ul>
+  Other properties in <code>build.properties</code> that you can (but generally need not) change:<br />
+  <br>
+  <table border="1">
+    <tr>
+      <td><b>Property</b></td>
+      <td><b>Description</b></td>
+      <td><b>Default value and examples of other values</b></td>
+    </tr>
+    <tr>
+      <td>inst.cgi.dir</td>
+      <td>Installation directory for registry CGI scripts</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>/var/www/cgi-knb</code>
+      </td>
+    </tr>
+    <tr>
+      <td>cgi-prefix</td>
+      <td>&nbsp;</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>http://knb.ecoinformatics.org/cgi-bin</code>
+      </td>
+    </tr>
+    <tr>
+      <td>knb-site-url</td>
+      <td>This is the URL to the web context root for the knb site. 
+          It is used for the qformat=knb skin only.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>http://knb.ecoinformatics.org</code>
+      </td>
+    </tr>
+    <tr>
+      <td>forcereplicationwaitingtime</td>
+      <td>The waiting time before replication is forced to begin after
+          uploading a package. The default value should usually suffice.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>30000</code>
+          <code>&nbsp;</code>
+      </td>
+    </tr>
+  </table>
+  <p>
+  Metacat has a number of additional settable properties in file
+  <code>metacat/lib/metacat.properties</code>. Under most circumstances,
+  you will not need to modify this file because the properties of interest
+  to you can be controlled by editing <code>build.properties</code> as
+  described above. To learn more about Metacat's additional properties,
+  see <a href="./properties.html">Metacat Properties File</a>.
+  </p>
   <p class="emphasis">
-   Note: DO NOT add a slash [/] to the end of these paths.  Metacat will not
-   function correctly if you do so.
+   Note: When setting properties, DO NOT add a trailing slash [/] to the end of any paths that are specified.
+   Metacat will not function correctly if you do so.
   </p>
   <p class="header"><h2>SQL Scripts</h2></p>
   <p>
@@ -360,7 +458,7 @@
   manually (see next paragraph).
   </p>
   <p>To run the scripts manually, change to the
-   metacat/src directory.  Then run you RDBMS's SQL utility.  In Oracle it is
+   metacat/build/src directory.  Then run you RDBMS's SQL utility.  In Oracle it is
    SQLPlus.  This tutorial assumes an Oracle database so this example is for
    SQLPlus.  Login as the oracle user that was set up for use with Metacat.
    At the SQLPlus prompt type the following: <pre><b>@xmltables.sql;</b></pre>
@@ -373,7 +471,7 @@
    beginning saying that you cannot drop a table/index/trigger because it 
    does not exist.  This is normal.  Any other errors besides this need to be
    resolved before continuing. The script file name for PostgreSQL is 
-   xmltalbes_postgres.sql and for Microsoft SQL server is 
+   xmltables-postgres.sql and for Microsoft SQL server is 
    xmltables-sqlserver.sql.
   </p>
   <p>
@@ -413,9 +511,10 @@
     </ul>
    <p>
     So, if you had an existing metacat 1.0 installation and you were upgrading 
-    to 1.3, you would need to run both upgrade-db-to-1.2.sql and 
-    upgrade-db-to-1.3.sql. Howver, if you were starting from a Metacat 1.2.x
-    installation, you would only need to run the 1.3 upgrade script.
+    to 1.4, you would need to run all three scripts in sequence:
+    upgrade-db-to-1.2.sql, upgrade-db-to-1.3.sql, and upgrade-db-to-1.4.sql. 
+    However, if you were starting from a Metacat 1.3.x
+    installation, you would only need to run the upgrade-db-to-1.4.sql script.
    </p>
   </p>
 </td>
@@ -432,7 +531,7 @@
    Change into the metacat directory and type: 
    <pre><b>ant geteml install</b></pre>
    or, if you are upgrading an existing installation, type:
-   <pre><b>ant geteml upgrade</b></pre>
+   <pre><b>ant clean geteml upgrade</b></pre>
    <p>
    You should see a bunch of messages telling you the progress of compilation
    and installation.  When it is done you should see the message 