Index: docs/user/properties.html
===================================================================
--- docs/user/properties.html	(revision 2308)
+++ docs/user/properties.html	(revision 2309)
@@ -104,7 +104,9 @@
       <td>accNumSeparator</td>
       <td>The separator that is used to separate the three parts 
           of the accession number: codename, sequence and revision number.
-          It should be synchronized with the Client application.</td>
+           changing this parameter will likely break the application, so make
+           sure you know what you are doing.  It should be synchronized with 
+           the Client application.</td>
       <td>. (period)</td>
     </tr>
     <tr>
@@ -208,6 +210,48 @@
       <td>path to the SSL keys for secure transmissions.</td>
       <td>/opt/tomcat/webapps/metacat/lib</td>
     </tr>
+    <tr>
+      <td>administrators</td>
+      <td>The administrators parameter lists the accounts that are allowed to
+          perform administrative actions such as rebuilding indices for 
+          documents. The list can can contain more than one account separated
+          by colons.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>uid=jones,o=NCEAS,dc=ecoinformatics,dc=org</code>
+      <br><br>Examples:&nbsp;&nbsp;
+          <code>uid=localadmin,o=ucnrs.org</code>
+      </td>
+    </tr>
+    <tr><td> </td></tr>
+    <tr><td colspan="3"><b>Additional parameters probably not needing to be changed</b></td></tr>
+    <tr><td>configured</td><td>Configuration flag, currently not used.</td><td>false</td></tr>
+    <tr><td>version</td><td>Release version.</td><td>1.4.0-</td></tr>
+    <tr><td>maximumConnectionAge</td><td> </td><td>120000</td></tr>
+    <tr><td>maximumConnectionTime</td><td> </td><td>60000</td></tr>
+    <tr><td>maximumUsageNumber</td><td> </td><td>100</td></tr>
+    <tr><td>runDBConnectionRecycleThread</td><td> </td><td>off</td></tr>
+    <tr><td>cycleTimeOfDBConnection</td><td> </td><td>30000</td></tr>
+    <tr><td>forcereplicationwaitingtime</td><td> </td><td></td></tr>
+    <tr><td>eml2_0_0namespace</td><td>Namespace of EML 2.0.0 documents.</td><td>eml://ecoinformatics.org/eml-2.0.0</td></tr>
+    <tr><td>eml2_0_1namespace</td><td>Namespace of EML 2.0.1 documents.</td><td>eml://ecoinformatics.org/eml-2.0.0</td></tr>
+    <tr><td>eml2_1_0namespace</td><td>Namespace of EML 2.1.0 documents. Currently unused, reserved.</td><td>eml://ecoinformatics.org/eml-2.1.0</td></tr>
+    <tr><td>physicaldoctype</td><td> </td><td>-//ecoinformatics.org//eml-physical-2.0.0beta6//EN, -//ecoinformatics.org//eml-physical-2.0.0beta4//EN</td></tr>
+    <tr><td>entitydoctype</td><td> </td><td>-//ecoinformatics.org//eml-entity-2.0.0beta6//EN, -//ecoinformatics.org//eml-entity-2.0.0beta4//EN</td></tr>
+    <tr><td>packagedoctypeset</td><td> </td><td> </td></tr>
+    <tr><td>httpserver</td><td> </td><td></td></tr>
+    <tr><td>junittesturl</td><td>The url of the test server.</td><td></td></tr>
+    <tr><td>replicationerrorlog</td><td> </td><td></td></tr>
+    <tr><td>schemaPath</td><td>Path to installed XSD schemas.</td><td></td></tr>
+    <tr><td>schemaURL</td><td>URL to installed XSD schemas.</td><td></td></tr>
+    <tr><td>inlinedatafilepath</td><td>Path for storing data that was extracted from <code>inline</code> element of EML documents.</td><td></td></tr>
+    <tr><td>context</td><td>The name of the servlet context</td><td></td></tr>
+    <tr><td>debuglevel</td><td>Verbosity of debugging messages.  Higher numbers means more debugging detail.</td><td></td></tr>
+    <tr><td>datafileflag</td><td> </td><td>datafile</td></tr>
+    <tr><td>datafilesizelimit</td><td>Limit on file size for uploaded data files.</td><td>1000</td></tr>
+    <tr><td>defaultcontenttype</td><td> </td><td></td></tr>
+    <tr><td>query.ignored.params</td><td>Parameters that are passed through to XSLT style sheets without modification.</td><td>enableediting,foo</td></tr>
+    <tr><td>usexmlindex</td><td>Flag indicating whether to use the traditional xml_index table or not.  This needs to be set on startup, and once set to false can not be changed back to true without significant database modifications.  Setting this option to 'false' also slows down queries significantly, but it does allow arbitrarily deep dcoument paths.  Not recommended to change this setting -- data loss may result.</td><td>true</td></tr>
+    <tr><td>resultsetsize</td><td> </td><td>40</td></tr>
   </table>
   
   <br>
Index: docs/user/metacatinstall.html
===================================================================
--- docs/user/metacatinstall.html	(revision 2308)
+++ docs/user/metacatinstall.html	(revision 2309)
@@ -201,7 +201,8 @@
   <code>database</code>, <code>jdbc-connect</code>, <code>jdbc-base</code>, 
   <code>user</code>, <code>password</code>, <code>datafilepath</code>, 
   <code>inlinedatafilepath</code>, <code>cvsroot</code>, 
-  <code>cvsroot-alternate</code>, and <code>default-style</code>. 
+  <code>cvsroot-alternate</code>, <code>default-style</code>, and
+  <code>administrators</code>. 
   Each is described in detail in the table below.
   </p>
   Properties you will likely need to change:
@@ -223,7 +224,9 @@
     <tr>
       <td>tomcatversion</td>
       <td>The tomcatversion property is the version of your Tomcat. You should 
-          put tomcat3 or tomcat4 here.</td>
+          put tomcat3, tomcat4, or tomcat5 here. We have most extensively 
+          tested Tomcat 4.x, but Tomcat 5.x seems to work fine as well.
+      </td>
       <td>Default:&nbsp;&nbsp;
           <code>tomcat4</code>
       <br><br>Example:&nbsp;&nbsp;
@@ -257,20 +260,22 @@
     </tr>
     <tr>
       <td>server</td>
-      <td>The server property is the secure HTTPS address on which Metacat is 
+      <td>The server property is hostname of for the server on which Metacat is 
           running (note that you should not include the 'http://' in the server 
-          property). The server setting should include the SSL port number 
-          appended to the end if Tomcat is running stand-alone (see example).</td>
+          property). The server setting should include the port number 
+          appended to the end if Tomcat is running stand-alone (see example).
+      </td>
       <td>Default:&nbsp;&nbsp;
          <code>knb.ecoinformatics.org</code>
       <br><br>Example:&nbsp;&nbsp;
-         <code>somehost.university.edu:8443</code>
+         <code>somehost.university.edu:8080</code>
       </td>
     </tr>
     <tr>
       <td>httpserver</td>
       <td>httpserver is the plain HTTP address on which Metacat is running 
-          (note that you should not include the 'http://' in the httpserver property).
+          (note that you should not include the 'http://' in the httpserver 
+          property).
           The httpserver setting should include the HTTP plain port number 
           appended to the end if Tomcat is running stand-alone (see example).</td>
       <td>Default:&nbsp;&nbsp;
@@ -281,7 +286,12 @@
     </tr>
     <tr>
       <td>ldapUrl</td>
-      <td>URL to the LDAP server</td>
+      <td>URL to the LDAP server. The LDAP server is used in the default
+          authentication module to authenticate and identify users of the
+          system.  To participate in the KNB network, you should leave this at
+          the default.  But it can be changed if you want to use a 
+          different directory of users.
+      </td>
       <td>Default:&nbsp;&nbsp;
           <code>ldap://ldap.ecoinformatics.org/dc=ecoinformatics,dc=org</code>
       </td>
@@ -290,7 +300,10 @@
       <td>database</td>
       <td>Select the database to use for metadata storage.
           Valid values are <code>oracle</code>, <code>postgresql</code>, or
-          <code>sqlserver</code>.
+          <code>sqlserver</code>. Note that sqlserver support is minimal and
+          probably will not work without substantial changes on your part,
+          possibly including code changes.  We have not revcently tested on 
+          sqlserver.
       </td>
       <td>Default:&nbsp;&nbsp;
           <code>oracle</code>
@@ -335,7 +348,7 @@
     </tr>
     <tr>
       <td>datafilepath</td>
-      <td>The datafilepath is the directory to store the data file.</td>
+      <td>The datafilepath is the directory to store data files.</td>
       <td>Default:&nbsp;&nbsp;
           <code>/var/metacat/data</code>
       <br><br>Example:&nbsp;&nbsp;
@@ -344,7 +357,8 @@
     </tr>
     <tr>
       <td>inlinedatafilepath</td>
-      <td>The inlinedatafilepath is the directory to store inline data.</td>
+      <td>The inlinedatafilepath is the directory to store inline data that
+          has been extracted from EML documents.</td>
       <td>Default:&nbsp;&nbsp;
           <code>/var/metacat/inline-data</code>
       <br><br>Example:&nbsp;&nbsp;
@@ -353,7 +367,8 @@
     </tr>
     <tr>
       <td>cvsroot</td>
-      <td>CVS access to retrieve latest EML.</td>
+      <td>CVS access to retrieve latest EML. Only used by
+          developers in building the release.</td>
       <td>Default:&nbsp;&nbsp;
           <code><pre>:ext:${env.USER}@cvs.ecoinformatics.org:/cvs</pre></code>
           Example:&nbsp;&nbsp;
@@ -362,7 +377,8 @@
     </tr>
     <tr>
       <td>cvsroot-alternate</td>
-      <td>CVS access to retrieve latest conversion styles.</td>
+      <td>CVS access to retrieve latest conversion styles. Only used by
+          developers in building the release.</td>
       <td>Default:&nbsp;&nbsp;
           <code><pre>:ext:${env.USER}@cvs.nceas.ucsb.edu:/cvs/pbi</pre></code>
           Example:&nbsp;&nbsp;
@@ -382,6 +398,18 @@
           <pre><code>default   esa   knb2   nceas   nrs   obfs   specnet</code></pre>
       </td>
     </tr>
+    <tr>
+      <td>administrators</td>
+      <td>The administrators parameter lists the accounts that are allowed to
+          perform administrative actions such as rebuilding indices for 
+          documents. The list can can contain more than one account separated
+          by colons.</td>
+      <td>Default:&nbsp;&nbsp;
+          <code>uid=jones,o=NCEAS,dc=ecoinformatics,dc=org</code>
+      <br><br>Examples:&nbsp;&nbsp;
+          <code>uid=localadmin,o=ucnrs.org</code>
+      </td>
+    </tr>
   </table>
   <br>
   <p>
@@ -476,7 +504,7 @@
   </p>
   <p>
    If the script has run correctly you should be able to type 
-   <pre>describe xml_documents</pre> and it should tell you
+   <pre>describe xml_documents</pre> and it should show:
    <pre>
     Name            Null?         Type
     --------------  ------------  ---------------- 