Index: docs/user/acontrol.html
===================================================================
--- docs/user/acontrol.html	(revision 2309)
+++ docs/user/acontrol.html	(revision 2310)
@@ -44,6 +44,10 @@
       <li> Metacat also allows document level access control via Access Control 
       Lists (ACLs).</li>
     </ul>
+  <p style="color: red; font-face: bold">WARNING: The rest of this page is 
+   out-of-date and no longer accurate. It is left only for reference purposes.
+   ACL information is now set through EML 2.0.0 access control elements.
+  </p>
   <!--<img src="acontrol.gif">-->
   <b>ACLs</b>
   <p>Metacat allows a user to set permissions for users or groups on individual 
Index: docs/user/metacattour.html
===================================================================
--- docs/user/metacattour.html	(revision 2309)
+++ docs/user/metacattour.html	(revision 2310)
@@ -50,9 +50,11 @@
       <li> <a href="./metacat.html">Metacat Server</a></li>
       <li> <a href="./metacatdb.html">Metacat Database</a></li>
       <li> <a href="./metacatdom.html">Metacat Document Object Model (DOM)</a></li>
+      <li> <a href="./clientapi.html">Metacat Client Programming Interface</a></li>
       <li> <a href="./metacatload.html">Writing XML</a></li>
       <li> <a href="./metacatquery.html">Searching the Database</a></li>
       <li> <a href="./metacatread.html">Reading data from Metacat</a></li>
+      <li> <a href="./metacatgetlog.html">Event Log Reporting</a></li>
     </ul>
   </td>
 </tr>
Index: docs/user/metacatread.html
===================================================================
--- docs/user/metacatread.html	(revision 2309)
+++ docs/user/metacatread.html	(revision 2310)
@@ -23,7 +23,7 @@
        from the Database</p></td>
        <td class="tablehead" colspan="2" align="right">
          <a href="./metacatquery.html">Back</a> | <a href="./metacattour.html">Home</a> | 
-         <a href="./saxparser.html">Next</a>
+         <a href="./metacatgetlog.html">Next</a>
        </td>
     </tr>
   </table>
@@ -79,7 +79,7 @@
   </p>
   <br>
   <a href="./metacatquery.html">Back</a> | <a href="./metacattour.html">Home</a> | 
-  <a href="./saxparser.html">Next</a>
+  <a href="./metacatgetlog.html">Next</a>
 
 </BODY>
 </HTML>
Index: docs/user/metacatdom.html
===================================================================
--- docs/user/metacatdom.html	(revision 2309)
+++ docs/user/metacatdom.html	(revision 2310)
@@ -22,7 +22,7 @@
       <td class="tablehead" colspan="2"><p class="label">The Metacat DOM</p></td>
       <td class="tablehead" colspan="2" align="right">
         <a href="./metacatdb.html">Back</a> | <a href="./metacattour.html">Home</a> | 
-        <a href="./metacatload.html">Next</a>
+        <a href="./clientapi.html">Next</a>
       </td>
     </tr>
   </table>
@@ -57,7 +57,7 @@
   
   <br>
   <a href="./metacatdb.html">Back</a> | <a href="./metacattour.html">Home</a> | 
-  <a href="./metacatload.html">Next</a>
+  <a href="./clientapi.html">Next</a>
 </BODY>
 </HTML>
 
Index: docs/user/metacatload.html
===================================================================
--- docs/user/metacatload.html	(revision 2309)
+++ docs/user/metacatload.html	(revision 2310)
@@ -21,7 +21,7 @@
     <tr>
       <td class="tablehead" colspan="2"><p class="label">Document Loading</p></td>
       <td class="tablehead" colspan="2" align="right">
-        <a href="./metacatdom.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+        <a href="./clientapi.html">Back</a> | <a href="./metacattour.html">Home</a> | 
         <a href="./metacatquery.html">Next</a>
       </td>
     </tr>
@@ -113,7 +113,7 @@
   on the storage of XML documents.</p>
 
   <br>
-  <a href="./metacatdom.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+  <a href="./clientapi.html">Back</a> | <a href="./metacattour.html">Home</a> | 
   <a href="./metacatquery.html">Next</a>
   
 </BODY>
Index: docs/user/metacatgetlog.html
===================================================================
--- docs/user/metacatgetlog.html	(nonexistent)
+++ docs/user/metacatgetlog.html	(revision 2310)
@@ -0,0 +1,116 @@
+<!--
+  * metacatread.html
+  *
+  *      Authors: Jivka Bojilova
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *      Created: 2000 April 5
+  *      Version: 0.01
+  *    File Info: '$Id$'
+  * 
+  * October Meeting SDSC, 2000
+-->
+<HTML>
+<HEAD>
+<TITLE>Metacat</TITLE>
+<link rel="stylesheet" type="text/css" href="@docrooturl@default.css">
+</HEAD> 
+<BODY>
+  <table width="100%">
+    <tr>
+      <td class="tablehead" colspan="2"><p class="label">Metacat
+       getlog action</p></td>
+       <td class="tablehead" colspan="2" align="right">
+         <a href="./metacatread.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+         <a href="./saxparser.html">Next</a>
+       </td>
+    </tr>
+  </table>
+  <p>
+	The Metacat servlet provides an 'action' for retrieving a log of the
+        events that have occurred, including document insertions, updates,
+        deletes, and reads.  This allows a simple reporting facility where
+        event reports can be output in XML format.  The report can be subset to
+        only include events from a particular IP address, user, event type,
+        after a start date, or before an end date.
+  </p>
+  <p>
+	The basic log can be viewed using the <code>getlog</code> servlet 
+	action, as in the following URL:<br>
+     	<code>http://some.metacat.host/context/metacat?action=getlog</code>
+  </p>
+  <p>
+  	This will return an XML formatted log of all events since the log was
+	initiated, which can be quite extensive.  To subset the report, provide
+        parameters to restrict the set of matching events:
+        <ul>
+        <li>ipAddress -- restrict the report to this ipAddress (repeatable)</li>
+        <li>principal -- restrict the report to this principal (repeatable)</li>
+        <li>docid -- restrict the report to this docid (repeatable)</li>
+        <li>event -- restrict the report to this event type (repeatable)
+            <ul>
+            <li><code>insert</code></li>
+            <li><code>update</code></li>
+            <li><code>delete</code></li>
+            <li><code>read</code></li>
+            </ul>
+        </li>
+        <li>start -- restrict the report to events after this date
+            <ul>
+            <li><code>YYYY-MM-DD+hh:mm:ss</code></li>
+            </ul>
+        </li>
+        <li>end -- restrict the report to events before this date
+            <ul>
+            <li><code>YYYY-MM-DD+hh:mm:ss</code></li>
+            </ul>
+        </li>
+        </ul>
+  </p>
+  <p>
+	Some example queries follow.  To view only the 'read' events, use a url like:<br>
+     	<code>http://some.metacat.host/context/metacat?action=getlog&event=read</code>
+  </p>
+  <p>
+	To view only the events for a particular IP address, use a url like:<br>
+     	<code>http://some.metacat.host/context/metacat?action=getlog&ipaddress=107.9.1.31</code>
+  </p>
+  <p>
+	To view only the events for a given user, use a url like:<br>
+     	<code>http://some.metacat.host/context/metacat?action=getlog&principal=uid=johndoe,o=NCEAS,dc=ecoinformatics,dc=org</code>
+  </p>
+  <p>
+	To view only the events for a particular document, use a url like:<br>
+     	<code>http://some.metacat.host/context/metacat?action=getlog&docid=knb.5.1</code>
+  </p>
+  <p>
+	To view only the events after a given date, use a url like:<br>
+     	<code>http://some.metacat.host/context/metacat?action=getlog&start=2004-09-15+12:00:00</code>
+  </p>
+  <p>
+	To view only the events before a given date, use a url like:<br>
+     	<code>http://some.metacat.host/context/metacat?action=getlog&end=2004-09-15+12:00:00</code>
+  </p>
+  <p>
+	Query parameters can be combined, so to view the 'insert' events for September 2004 use a url like:<br>
+     	<code>http://some.metacat.host/context/metacat?action=getlog&event=insert&start=2004-09-01+12:00:00&end=2004-09-30+23:59:59</code>
+  </p>
+  <p>
+	The log is returned in XML format.  Here is an example log format:<br>
+        <pre>
+&lt;?xml version="1.0"?&gt;
+&lt;log&gt;
+&lt;logEntry&gt;&lt;entryid&gt;44&lt;/entryid&gt;&lt;ipAddress&gt;34.237.20.142&lt;/ipAddress&gt;&lt;principal&gt;uid=jones,o=NCEAS,dc=ecoinformatics,dc=org&lt;/principal&gt;&lt;docid&gt;esa.2.1&lt;/docid&gt;&lt;event&gt;insert&lt;/event&gt;&lt;dateLogged&gt;2004-09-08 19:08:18.16&lt;/dateLogged&gt;&lt;/logEntry&gt;
+&lt;logEntry&gt;&lt;entryid&gt;47&lt;/entryid&gt;&lt;ipAddress&gt;34.237.20.142&lt;/ipAddress&gt;&lt;principal&gt;uid=jones,o=NCEAS,dc=ecoinformatics,dc=org&lt;/principal&gt;&lt;docid&gt;esa.3.1&lt;/docid&gt;&lt;event&gt;insert&lt;/event&gt;&lt;dateLogged&gt;2004-09-14 19:50:40.61&lt;/dateLogged&gt;&lt;/logEntry&gt;
+&lt;/log&gt;
+
+        </pre>
+  </p>
+  <br>
+  <a href="./metacatread.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+  <a href="./saxparser.html">Next</a>
+
+</BODY>
+</HTML>
+

Property changes on: docs/user/metacatgetlog.html
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: docs/user/saxparser.html
===================================================================
--- docs/user/saxparser.html	(revision 2309)
+++ docs/user/saxparser.html	(revision 2310)
@@ -21,7 +21,7 @@
     <tr>
       <td class="tablehead" colspan="2"><p class="label">XML Parsing with SAX</p></td>
       <td class="tablehead" colspan="2" align="right">
-        <a href="./metacatread.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+        <a href="./metacatgetlog.html">Back</a> | <a href="./metacattour.html">Home</a> | 
         <a href="./xmlindex.html">Next</a>
       </td>
     </tr>
@@ -69,7 +69,7 @@
   </PRE>
   
   <br>
-  <a href="./metacatread.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+  <a href="./metacatgetlog.html">Back</a> | <a href="./metacattour.html">Home</a> | 
   <a href="./xmlindex.html">Next</a>
   
 </BODY>
Index: docs/user/clientapi.html
===================================================================
--- docs/user/clientapi.html	(nonexistent)
+++ docs/user/clientapi.html	(revision 2310)
@@ -0,0 +1,101 @@
+<!--
+  * metacatread.html
+  *
+  *      Authors: Jivka Bojilova
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *      Created: 2000 April 5
+  *      Version: 0.01
+  *    File Info: '$Id$'
+  * 
+  * October Meeting SDSC, 2000
+-->
+<HTML>
+<HEAD>
+<TITLE>Metacat</TITLE>
+<link rel="stylesheet" type="text/css" href="@docrooturl@default.css">
+</HEAD> 
+<BODY>
+  <table width="100%">
+    <tr>
+      <td class="tablehead" colspan="2"><p class="label">Metacat Client
+       Application Programming Interface</p></td>
+       <td class="tablehead" colspan="2" align="right">
+         <a href="./metacatdom.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+         <a href="./metacatload.html">Next</a>
+       </td>
+    </tr>
+  </table>
+  <p>Metacat provides a client programming interface for communicating with
+     the server.  The client API is available in Java and Perl, but the
+     Java interface will be described here. This interface allows a client
+     application to easily authenticate users and perform basic metacat
+     operations such as reading metadata and data files, inserting, updating,
+     and deleting files, and searching for packages based on metadata matches.
+  </p>
+  <p>To use the client, developers must include the 'metacat-client.jar',
+     'utilities.jar',  and 'httpclient.jar' in their classpath.  Then, the API
+     methods can be used.  For example, a typical session to read a document
+     from the database might look like this:<br>
+     <pre>
+        String metacatUrl = "http://foo.com/context/metacat";
+        String username = "uid=jones,o=NCEAS,dc=ecoinformatics,dc=org";
+        String password = "neverHarcodeAPasswordInCode";
+        try {
+            Metacat m = MetacatFactory.createMetacatConnection(metacatUrl);
+            m.login(username, password);
+            Reader r = m.read("testdocument.1.1");
+            // Do whatever you want with Reader r
+        } catch (MetacatAuthException mae) {
+            handleError("Authorization failed:\n" + mae.getMessage());
+        } catch (MetacatInaccessibleException mie) {
+            handleError("Metacat Inaccessible:\n" + mie.getMessage());
+        } catch (Exception e) {
+            handleError("General exception:\n" + e.getMessage());
+        }
+     </pre>
+  </p>
+  <p>The Client API is defined by the interface
+     <code>edu.ucsb.nceas.metacat.client.Metacat</code>, and all operations
+     are fully defined inthe javadoc documentation.  Briefly, the API 
+     provides the following operations:</p>
+    <ul>
+    <li><code>public String <b>login</b>(String username, String password)
+           throws MetacatAuthException, MetacatInaccessibleException;</code></li>
+    <li><code>public String <b>logout</b>() throws MetacatInaccessibleException,
+        MetacatException;</code></li>
+    <li><code>public Reader <b>read</b>(String docid) throws InsufficientKarmaException,
+        MetacatInaccessibleException, MetacatException;</code></li>
+    <li><code>public Reader <b>readInlineData</b>(String inlinedataid)
+        throws InsufficientKarmaException,
+        MetacatInaccessibleException, MetacatException;</code></li>
+    <li><code>public Reader <b>query</b>(Reader xmlQuery) throws MetacatInaccessibleException,
+                                                IOException;</code></li>
+    <li><code>public String <b>insert</b>(String docid, Reader xmlDocument, Reader schema)
+        throws InsufficientKarmaException, MetacatException, IOException,
+        MetacatInaccessibleException;</code></li>
+    <li><code>public String <b>update</b>(String docid, Reader xmlDocument, Reader schema)
+        throws InsufficientKarmaException, MetacatException, IOException,
+        MetacatInaccessibleException;</code></li>
+    <li><code>public String <b>upload</b>(String docid, File file)
+        throws InsufficientKarmaException, MetacatException, IOException,
+        MetacatInaccessibleException;</code></li>
+    <li><code>public String <b>upload</b>(String docid, String fileName,
+                         InputStream fileData, int size)
+        throws InsufficientKarmaException, MetacatException, IOException,
+        MetacatInaccessibleException;</code></li>
+    <li><code>public String <b>delete</b>(String docid)
+        throws InsufficientKarmaException, MetacatException,
+        MetacatInaccessibleException;</code></li>
+    <li><code>public void <b>setMetacatUrl</b>(String metacatUrl);</code></li>
+    <li><code>public String <b>getSessionId</b>();</code></li>
+    <li><code>public void <b>setSessionId</b>(String sessionId);</code></li>
+  </ul>
+  <br>
+  <a href="./metacatdom.html">Back</a> | <a href="./metacattour.html">Home</a> | 
+  <a href="./metacatload.html">Next</a>
+
+</BODY>
+</HTML>
+

Property changes on: docs/user/clientapi.html
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property