Index: lib/style/common/templates/ldapChangePassSuccess.tmpl
===================================================================
--- lib/style/common/templates/ldapChangePassSuccess.tmpl	(nonexistent)
+++ lib/style/common/templates/ldapChangePassSuccess.tmpl	(revision 2342)
@@ -0,0 +1,6 @@
+    <h2>Your password has been changed!</h2>
+    <p>You have successfully changed your account password.
+    Remember it :-) 
+    Thanks for your interest in the KNB!
+    </p>
+

Property changes on: lib/style/common/templates/ldapChangePassSuccess.tmpl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/common/templates/ldapResetPass.tmpl
===================================================================
--- lib/style/common/templates/ldapResetPass.tmpl	(nonexistent)
+++ lib/style/common/templates/ldapResetPass.tmpl	(revision 2342)
@@ -0,0 +1,50 @@
+    <h2>Forgot your KNB Password?</h2>
+    <p>Fill out the form below to reset your KNB password.  
+    You will need to know your username.  We will change the password
+    for you to a new random password, and email it to you at the 
+    address registered for the account. 
+    </p>
+    <p>Required fields are shown in red.</p>
+    <p class="emphasis">[% errorMessage %]<p>
+    <p>
+    <form name="passwdForm" action="@cgiurl@" method="post">
+      <input type="hidden" name="stage" value="[% stage %]"/>
+      <input type="hidden" name="cfg" value="[% cfg %]"/>
+      <table border="0">
+        <tr>
+          <td align="left" class="required">
+            Username:
+          </td>
+          <td align="right">
+            <input name="uid" type="text"
+                   [% IF allParams.uid %]
+                   value="[% allParams.uid %]"
+                   [% END %]/>
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            Organization:
+          </td>
+          <td align="right">
+            <select name="o">
+ [% FOREACH org = orgList %]
+		[% IF allParams.o == org %]
+                  <option value="[% org %]" selected>[% org %]</option>
+                [% ELSE %]
+                  <option value="[% org %]">[% org %]</option>
+                [% END %]
+              [% END %]
+            </select>
+          </td>
+        </tr>
+        <tr>
+          <td>
+          </td>
+          <td align="right">
+            <input name="action" type="submit" value="Reset password"/>
+          </td>
+        </tr>
+      </table>
+    </form>
+    </p>

Property changes on: lib/style/common/templates/ldapResetPass.tmpl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/common/templates/ldapRegisterLter.tmpl
===================================================================
--- lib/style/common/templates/ldapRegisterLter.tmpl	(nonexistent)
+++ lib/style/common/templates/ldapRegisterLter.tmpl	(revision 2342)
@@ -0,0 +1,21 @@
+    <h2>LTER Account Information</h2>
+    <p>KNB accounts for all LTER affiliated scientists already exist
+    for every scientist in the
+    <a href="http://intranet.lternet.edu">LTER Personnel Directory</a>.
+    So, if you are an LTER scientist, it is likely that you already 
+    have an account.  Your username and password from the
+    <a href="http://intranet.lternet.edu">LTER Personnel Directory</a> 
+    can be used to log into the KNB.  
+    </p>
+    <p>
+    The username for most LTER scientists will be your first inital 
+    and lastname (e.g., someone named Jane Doe would have a username "jdoe").
+    If you have forgotten your LTER password it can be 
+    <a href="http://sql.lternet.edu/scripts/intranet/sendmemypassword.pl">mailed 
+    to you</a>.
+    </p>
+    <p>
+    If you are an LTER scientist and you can not find your name in the 
+    <a href="http://intranet.lternet.edu">LTER Personnel Directory</a> 
+    then please contact your site data manager to have an account created.
+    </p>

Property changes on: lib/style/common/templates/ldapRegisterLter.tmpl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/common/templates/ldapChangePass.tmpl
===================================================================
--- lib/style/common/templates/ldapChangePass.tmpl	(nonexistent)
+++ lib/style/common/templates/ldapChangePass.tmpl	(revision 2342)
@@ -0,0 +1,74 @@
+    <h2>Change your KNB Password</h2>
+    <p>Fill out the form below to change your KNB password.  
+    You will need to know your username, your old password, and choose
+    a new password (which is entered twice for confirmation).
+    <a href="@cgiurl@?stage=resetpass&cfg=[% cfg %]">Forgot your password?</a>
+    </p>
+    <p>Required fields are shown in red.</p>
+    <p class="emphasis">[% errorMessage %]<p>
+    <p>
+    <form name="passwdForm" action="@cgiurl@" method="post">
+      <input type="hidden" name="stage" value="[% stage %]"/>
+      <input type="hidden" name="cfg" value="[% cfg %]"/>
+      <table border="0">
+        <tr>
+          <td align="left" class="required">
+            Username:
+          </td>
+          <td align="right">
+            <input name="uid" type="text"
+                   [% IF allParams.uid %]
+                   value="[% allParams.uid %]"
+                   [% END %]/>
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            Organization:
+          </td>
+          <td align="right">
+            <select name="o">
+              [% FOREACH org = orgList %]
+		[% IF allParams.o == org %]
+                  <option value="[% org %]" selected>[% org %]</option>
+                [% ELSE %]
+                  <option value="[% org %]">[% org %]</option>
+                [% END %]
+              [% END %]
+            </select>
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            Old password:
+          </td>
+          <td align="right">
+            <input name="oldpass" type="password" />
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            New password:
+          </td>
+          <td align="right">
+            <input name="userPassword" type="password" />
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            Confirm new password:
+          </td>
+          <td align="right">
+            <input name="userPassword2" type="password" />
+          </td>
+        </tr>
+        <tr>
+          <td>
+          </td>
+          <td align="right">
+            <input name="action" type="submit" value="Change password"/>
+          </td>
+        </tr>
+      </table>
+    </form>
+    </p>

Property changes on: lib/style/common/templates/ldapChangePass.tmpl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/common/templates/ldapRegisterSuccess.tmpl
===================================================================
--- lib/style/common/templates/ldapRegisterSuccess.tmpl	(nonexistent)
+++ lib/style/common/templates/ldapRegisterSuccess.tmpl	(revision 2342)
@@ -0,0 +1,10 @@
+    <h2>Registration Succeeded!</h2>
+    <p>You have successfully created an account on the 
+    <a href="http://knb.ecoinformatics.org">Knowledge 
+    Network for Biocomplexity (KNB)</a>.  You can use this account
+    to share data with collaborators or with the general scientific
+    community by downloading and installing the 
+    <a href="http://knb.ecoinformatics.org/software/morpho">Morpho</a>
+    software package.  Thanks for your interest in the KNB!
+    </p>
+

Property changes on: lib/style/common/templates/ldapRegisterSuccess.tmpl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/common/templates/ldapRegister.tmpl
===================================================================
--- lib/style/common/templates/ldapRegister.tmpl	(nonexistent)
+++ lib/style/common/templates/ldapRegister.tmpl	(revision 2342)
@@ -0,0 +1,187 @@
+    [% SWITCH stage %]
+    [% CASE 'register' %]
+    <h2>Register for the KNB!</h2>
+    <p>Fill out the form below to register for the KNB.  By registering, 
+    you will be assigned a user account that allows you to store your
+    own data as part of the KNB and to collaborate with other research
+    scientists through the KNB.
+    </p>
+    <p>Required fields are shown in red.</p>
+    [% fieldType = 'text' %]
+    [% CASE 'registerconfirmed' %]
+    <h2>Confirm registration information</h2>
+    <p>If you have confirmed that the accounts listed above do not 
+    represent you, you can continue with the registration process 
+    using the data you provided, summarized below:
+    </p>
+    [% fieldType = 'hidden' %]
+    [% END %]
+    <p class="emphasis">[% errorMessage %]<p>
+    <p>
+    <script type="text/javascript" language="JavaScript1.2">
+    <!--
+      document.loginForm.givenName.focus();
+      document.loginForm.givenName.select();
+
+      if(window.document.captureEvents != null)
+      {
+        window.document.captureEvents(Event.KEYPRESS);
+        window.document.onKeyPress = doSubmit;
+      }
+
+      function doSubmit(event)
+      {
+        var key;
+        if(document.all) // IE
+          key = String.fromCharCode(window.events.keyCode);
+        else
+          key = String.fromCharCode(event.which);
+
+        if(key == "\r" || key == "\n")
+          document.loginForm.submit();
+      }
+    // -->
+    </script>
+
+    <form name="loginForm" action="@cgiurl@" method="post">
+      <input type="hidden" name="stage" value="[% stage %]"/>
+      <input type="hidden" name="cfg" value="[% cfg %]"/>
+      <table border="0">
+        <tr>
+          <td align="left" class="required">
+            First Name:
+          </td>
+          <td align="right">
+            [% IF stage == 'registerconfirmed' %]
+            [% allParams.givenName %]
+            [% END %]
+            <input name="givenName" type="[% fieldType %]" 
+                   value="[% allParams.givenName %]"/>
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            Last Name:
+          </td>
+          <td align="right">
+            [% IF stage == 'registerconfirmed' %]
+            [% allParams.sn %]
+            [% END %]
+            <input name="sn" type="[% fieldType %]" value="[% allParams.sn %]"/>
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            Organization:
+          </td>
+          <td align="right">
+            [% IF stage == 'registerconfirmed' %]
+            [% allParams.o %]
+            <input name="o" type="[% fieldType %]" 
+                   value="[% allParams.o %]"/>
+            [% ELSE %]
+            <select name="o">
+	      [% FOREACH org = orgList %]
+		[% IF allParams.o == org %]
+                  <option value="[% org %]" selected>[% org %]</option>
+                [% ELSE %]
+                  <option value="[% org %]">[% org %]</option>
+                [% END %]
+              [% END %]
+            </select>
+            [% END %]
+          </td>
+        </tr>
+        <tr>
+          <td align="left">
+            Telephone:
+          </td>
+          <td align="right">
+            [% IF stage == 'registerconfirmed' %]
+            [% allParams.telephoneNumber %]
+            [% END %]
+            <input name="telephoneNumber" type="[% fieldType %]" 
+                   value="[% allParams.telephoneNumber %]"/>
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            Email:
+          </td>
+          <td align="right">
+            [% IF stage == 'registerconfirmed' %]
+            [% allParams.mail %]
+            [% END %]
+            <input name="mail" type="[% fieldType %]" 
+                   value="[% allParams.mail %]"/>
+          </td>
+        </tr>
+        <tr>
+          <td align="left">
+            Title:
+          </td>
+          <td align="right">
+            [% IF stage == 'registerconfirmed' %]
+            [% allParams.title %]
+            [% END %]
+            <input name="title" type="[% fieldType %]" 
+                   value="[% allParams.title %]"/>
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            Username:
+          </td>
+          <td align="right">
+            [% IF stage == 'registerconfirmed' %]
+            [% allParams.uid %]
+            [% END %]
+            <input name="uid" type="[% fieldType %]" 
+                   value="[% allParams.uid %]"/>
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            Password:
+          </td>
+          <td align="right">
+            [% IF stage == 'registerconfirmed' %]
+            <input name="userPassword" type="[% fieldType %]"
+                   value="[% allParams.userPassword %]"/>
+            NOT DISPLAYED
+            [% ELSE %]
+            <input name="userPassword" type="password"
+                   value="[% allParams.userPassword %]"/>
+            [% END %]
+          </td>
+        </tr>
+        <tr>
+          <td align="left" class="required">
+            Confirm Password:
+          </td>
+          <td align="right">
+            [% IF stage == 'registerconfirmed' %]
+            <input name="userPassword2" type="[% fieldType %]"
+                   value="[% allParams.userPassword2 %]"/>
+            NOT DISPLAYED
+            [% ELSE %]
+            <input name="userPassword2" type="password"
+                   value="[% allParams.userPassword2 %]"/>
+            [% END %]
+          </td>
+        </tr>
+        <tr>
+          <td>
+          </td>
+          <td align="right">
+    [% SWITCH stage %]
+    [% CASE 'register' %]
+            <input name="action" type="submit" value="Register"/>
+    [% CASE 'registerconfirmed' %]
+            <input name="action" type="submit" value="Continue"/>
+    [% END %]
+          </td>
+        </tr>
+      </table>
+    </form>
+    </p>

Property changes on: lib/style/common/templates/ldapRegister.tmpl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/common/templates/ldapRegisterFailed.tmpl
===================================================================
--- lib/style/common/templates/ldapRegisterFailed.tmpl	(nonexistent)
+++ lib/style/common/templates/ldapRegisterFailed.tmpl	(revision 2342)
@@ -0,0 +1,10 @@
+    <h2>Registration Failed</h2>
+    <p>There was a problem creating your account.  The error was:<p>
+
+    <p class="emphasis">[% errorMessage %]</p>
+    
+    </p>The most likely
+    problem is that the username that you chose already exists.  Pick
+    a different username and try submitting the form again.
+    </p>
+

Property changes on: lib/style/common/templates/ldapRegisterFailed.tmpl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/common/templates/ldapRegisterMatch.tmpl
===================================================================
--- lib/style/common/templates/ldapRegisterMatch.tmpl	(nonexistent)
+++ lib/style/common/templates/ldapRegisterMatch.tmpl	(revision 2342)
@@ -0,0 +1,13 @@
+    <h2>Similar accounts exist</h2>
+    <p>KNB accounts already exist with information that is similar to
+    the information you provided.  <span class="emphasis">Please check 
+    the list of similar accounts below to determine if you already 
+    have an account.</span>  If so, you can use 
+    that account.  If not, then you can press "Continue" to create an
+    account despite the similarities to existing accounts.
+    </p>
+
+    <p>
+    [% foundAccounts %]
+    </p>
+

Property changes on: lib/style/common/templates/ldapRegisterMatch.tmpl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/common/templates/ldapResetPassSuccess.tmpl
===================================================================
--- lib/style/common/templates/ldapResetPassSuccess.tmpl	(nonexistent)
+++ lib/style/common/templates/ldapResetPassSuccess.tmpl	(revision 2342)
@@ -0,0 +1,11 @@
+    <h2>Your password has been Reset!</h2>
+    [% IF errorMessage %]
+    <p class="emphasis">[% errorMessage %]<p>
+    [% ELSE %]
+    <p>Your new password has been emailed to the account registered for 
+    this KNB account.</p>
+    [% END %]
+    <p>
+    Thanks for participating in the KNB!
+    </p>
+

Property changes on: lib/style/common/templates/ldapResetPassSuccess.tmpl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property